﻿
local StoneGateV3 = foundation.createMod({
	Name = "Stone Gate V3",
	Author = "vjraymon",
	Description = "Stone Gate V3"
});

StoneGateV3:log("Hello World: StoneGateV3")
--StoneGateV3:logWarning("This is a warning!")
--StoneGateV3:logError("This is an error!")
--StoneGateV3:msgBox("StoneGateV3: Hello there")

StoneGateV3:dofile("scripts/monument.lua")
StoneGateV3:dofile("scripts/wall.lua")
StoneGateV3:dofile("scripts/wallHoardings.lua")
StoneGateV3:dofile("scripts/wallMachicolation.lua")
StoneGateV3:dofile("scripts/stairCases.lua")

-- Override default Kingdom estate
StoneGateV3:override({
	Id = "KINGDOM",
	EstateProgressList = { -- Add a new estate progress tier
		Action = "APPEND",
		{
			DataType = "ESTATE_PROGRESS_TIER",
			SplendorRequired = 0,
			VillagerStatusRequired = { Status = "NEWCOMER", Quantity = 1 },
			UpgradeList = {
				"UNLOCKABLE_SGV3JRV_WALL"
			}
		}
	}
})

